

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [BatchGetUserAccessTasks](API_BatchGetUserAccessTasks.md) 
+  [ConnectAppAuthorization](API_ConnectAppAuthorization.md) 
+  [CreateAppAuthorization](API_CreateAppAuthorization.md) 
+  [CreateAppBundle](API_CreateAppBundle.md) 
+  [CreateIngestion](API_CreateIngestion.md) 
+  [CreateIngestionDestination](API_CreateIngestionDestination.md) 
+  [DeleteAppAuthorization](API_DeleteAppAuthorization.md) 
+  [DeleteAppBundle](API_DeleteAppBundle.md) 
+  [DeleteIngestion](API_DeleteIngestion.md) 
+  [DeleteIngestionDestination](API_DeleteIngestionDestination.md) 
+  [GetAppAuthorization](API_GetAppAuthorization.md) 
+  [GetAppBundle](API_GetAppBundle.md) 
+  [GetIngestion](API_GetIngestion.md) 
+  [GetIngestionDestination](API_GetIngestionDestination.md) 
+  [ListAppAuthorizations](API_ListAppAuthorizations.md) 
+  [ListAppBundles](API_ListAppBundles.md) 
+  [ListIngestionDestinations](API_ListIngestionDestinations.md) 
+  [ListIngestions](API_ListIngestions.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [StartIngestion](API_StartIngestion.md) 
+  [StartUserAccessTasks](API_StartUserAccessTasks.md) 
+  [StopIngestion](API_StopIngestion.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateAppAuthorization](API_UpdateAppAuthorization.md) 
+  [UpdateIngestionDestination](API_UpdateIngestionDestination.md) 

# BatchGetUserAccessTasks
<a name="API_BatchGetUserAccessTasks"></a>

Gets user access details in a batch request.

This action polls data from the tasks that are kicked off by the `StartUserAccessTasks` action.

## Request Syntax
<a name="API_BatchGetUserAccessTasks_RequestSyntax"></a>

```
POST /useraccess/batchget HTTP/1.1
Content-type: application/json

{
   "appBundleIdentifier": "string",
   "taskIdList": [ "string" ]
}
```

## URI Request Parameters
<a name="API_BatchGetUserAccessTasks_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_BatchGetUserAccessTasks_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [appBundleIdentifier](#API_BatchGetUserAccessTasks_RequestSyntax) **   <a name="appfabric-BatchGetUserAccessTasks-request-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [taskIdList](#API_BatchGetUserAccessTasks_RequestSyntax) **   <a name="appfabric-BatchGetUserAccessTasks-request-taskIdList"></a>
The tasks IDs to use for the request.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Response Syntax
<a name="API_BatchGetUserAccessTasks_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "userAccessResultsList": [ 
      { 
         "app": "string",
         "email": "string",
         "resultStatus": "string",
         "taskError": { 
            "errorCode": "string",
            "errorMessage": "string"
         },
         "taskId": "string",
         "tenantDisplayName": "string",
         "tenantId": "string",
         "userFirstName": "string",
         "userFullName": "string",
         "userId": "string",
         "userLastName": "string",
         "userStatus": "string"
      }
   ]
}
```

## Response Elements
<a name="API_BatchGetUserAccessTasks_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [userAccessResultsList](#API_BatchGetUserAccessTasks_ResponseSyntax) **   <a name="appfabric-BatchGetUserAccessTasks-response-userAccessResultsList"></a>
Contains a list of user access results.  
Type: Array of [UserAccessResultItem](API_UserAccessResultItem.md) objects

## Errors
<a name="API_BatchGetUserAccessTasks_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_BatchGetUserAccessTasks_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/BatchGetUserAccessTasks) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/BatchGetUserAccessTasks) 

# ConnectAppAuthorization
<a name="API_ConnectAppAuthorization"></a>

Establishes a connection between AWS AppFabric and an application, which allows AppFabric to call the APIs of the application.

## Request Syntax
<a name="API_ConnectAppAuthorization_RequestSyntax"></a>

```
POST /appbundles/appBundleIdentifier/appauthorizations/appAuthorizationIdentifier/connect HTTP/1.1
Content-type: application/json

{
   "authRequest": { 
      "code": "string",
      "redirectUri": "string"
   }
}
```

## URI Request Parameters
<a name="API_ConnectAppAuthorization_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appAuthorizationIdentifier](#API_ConnectAppAuthorization_RequestSyntax) **   <a name="appfabric-ConnectAppAuthorization-request-uri-appAuthorizationIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app authorization to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [appBundleIdentifier](#API_ConnectAppAuthorization_RequestSyntax) **   <a name="appfabric-ConnectAppAuthorization-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle that contains the app authorization to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_ConnectAppAuthorization_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [authRequest](#API_ConnectAppAuthorization_RequestSyntax) **   <a name="appfabric-ConnectAppAuthorization-request-authRequest"></a>
Contains OAuth2 authorization information.  
This is required if the app authorization for the request is configured with an OAuth2 (`oauth2`) authorization type.  
Type: [AuthRequest](API_AuthRequest.md) object  
Required: No

## Response Syntax
<a name="API_ConnectAppAuthorization_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "appAuthorizationSummary": { 
      "app": "string",
      "appAuthorizationArn": "string",
      "appBundleArn": "string",
      "status": "string",
      "tenant": { 
         "tenantDisplayName": "string",
         "tenantIdentifier": "string"
      },
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_ConnectAppAuthorization_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [appAuthorizationSummary](#API_ConnectAppAuthorization_ResponseSyntax) **   <a name="appfabric-ConnectAppAuthorization-response-appAuthorizationSummary"></a>
Contains a summary of the app authorization.  
Type: [AppAuthorizationSummary](API_AppAuthorizationSummary.md) object

## Errors
<a name="API_ConnectAppAuthorization_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ConnectAppAuthorization_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/ConnectAppAuthorization) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/ConnectAppAuthorization) 

# CreateAppAuthorization
<a name="API_CreateAppAuthorization"></a>

Creates an app authorization within an app bundle, which allows AppFabric to connect to an application.

## Request Syntax
<a name="API_CreateAppAuthorization_RequestSyntax"></a>

```
POST /appbundles/appBundleIdentifier/appauthorizations HTTP/1.1
Content-type: application/json

{
   "app": "string",
   "authType": "string",
   "clientToken": "string",
   "credential": { ... },
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ],
   "tenant": { 
      "tenantDisplayName": "string",
      "tenantIdentifier": "string"
   }
}
```

## URI Request Parameters
<a name="API_CreateAppAuthorization_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_CreateAppAuthorization_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [app](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-app"></a>
The name of the application.  
Valid values are:  
+  `SLACK` 
+  `ASANA` 
+  `JIRA` 
+  `M365` 
+  `M365AUDITLOGS` 
+  `ZOOM` 
+  `ZENDESK` 
+  `OKTA` 
+  `GOOGLE` 
+  `DROPBOX` 
+  `SMARTSHEET` 
+  `CISCO` 
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Required: Yes

 ** [authType](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-authType"></a>
The authorization type for the app authorization.  
Type: String  
Valid Values: `oauth2 | apiKey`   
Required: Yes

 ** [clientToken](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-clientToken"></a>
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a [UUID type of value](https://wikipedia.org/wiki/Universally_unique_identifier).  
If you don't provide this value, then AWS generates a random one for you.  
If you retry the operation with the same `ClientToken`, but with different parameters, the retry fails with an `IdempotentParameterMismatch` error.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [credential](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-credential"></a>
Contains credentials for the application, such as an API key or OAuth2 client ID and secret.  
Specify credentials that match the authorization type for your request. For example, if the authorization type for your request is OAuth2 (`oauth2`), then you should provide only the OAuth2 credentials.  
Type: [Credential](API_Credential.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [tags](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-tags"></a>
A map of the key-value pairs of the tag or tags to assign to the resource.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: No

 ** [tenant](#API_CreateAppAuthorization_RequestSyntax) **   <a name="appfabric-CreateAppAuthorization-request-tenant"></a>
Contains information about an application tenant, such as the application display name and identifier.  
Type: [Tenant](API_Tenant.md) object  
Required: Yes

## Response Syntax
<a name="API_CreateAppAuthorization_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "appAuthorization": { 
      "app": "string",
      "appAuthorizationArn": "string",
      "appBundleArn": "string",
      "authType": "string",
      "authUrl": "string",
      "createdAt": "string",
      "persona": "string",
      "status": "string",
      "tenant": { 
         "tenantDisplayName": "string",
         "tenantIdentifier": "string"
      },
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_CreateAppAuthorization_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [appAuthorization](#API_CreateAppAuthorization_ResponseSyntax) **   <a name="appfabric-CreateAppAuthorization-response-appAuthorization"></a>
Contains information about an app authorization.  
Type: [AppAuthorization](API_AppAuthorization.md) object

## Errors
<a name="API_CreateAppAuthorization_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** ConflictException **   
The request has created a conflict. Check the request parameters and try again.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 402

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_CreateAppAuthorization_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/CreateAppAuthorization) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/CreateAppAuthorization) 

# CreateAppBundle
<a name="API_CreateAppBundle"></a>

Creates an app bundle to collect data from an application using AppFabric.

## Request Syntax
<a name="API_CreateAppBundle_RequestSyntax"></a>

```
POST /appbundles HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "customerManagedKeyIdentifier": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateAppBundle_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateAppBundle_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateAppBundle_RequestSyntax) **   <a name="appfabric-CreateAppBundle-request-clientToken"></a>
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a [UUID type of value](https://wikipedia.org/wiki/Universally_unique_identifier).  
If you don't provide this value, then AWS generates a random one for you.  
If you retry the operation with the same `ClientToken`, but with different parameters, the retry fails with an `IdempotentParameterMismatch` error.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [customerManagedKeyIdentifier](#API_CreateAppBundle_RequestSyntax) **   <a name="appfabric-CreateAppBundle-request-customerManagedKeyIdentifier"></a>
The Amazon Resource Name (ARN) of the AWS Key Management Service (AWS KMS) key to use to encrypt the application data. If this is not specified, an AWS owned key is used for encryption.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [tags](#API_CreateAppBundle_RequestSyntax) **   <a name="appfabric-CreateAppBundle-request-tags"></a>
A map of the key-value pairs of the tag or tags to assign to the resource.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_CreateAppBundle_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "appBundle": { 
      "arn": "string",
      "customerManagedKeyArn": "string"
   }
}
```

## Response Elements
<a name="API_CreateAppBundle_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [appBundle](#API_CreateAppBundle_ResponseSyntax) **   <a name="appfabric-CreateAppBundle-response-appBundle"></a>
Contains information about an app bundle.  
Type: [AppBundle](API_AppBundle.md) object

## Errors
<a name="API_CreateAppBundle_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** ConflictException **   
The request has created a conflict. Check the request parameters and try again.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 402

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_CreateAppBundle_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/CreateAppBundle) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/CreateAppBundle) 

# CreateIngestion
<a name="API_CreateIngestion"></a>

Creates a data ingestion for an application.

## Request Syntax
<a name="API_CreateIngestion_RequestSyntax"></a>

```
POST /appbundles/appBundleIdentifier/ingestions HTTP/1.1
Content-type: application/json

{
   "app": "string",
   "clientToken": "string",
   "ingestionType": "string",
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ],
   "tenantId": "string"
}
```

## URI Request Parameters
<a name="API_CreateIngestion_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_CreateIngestion_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [app](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-app"></a>
The name of the application.  
Valid values are:  
+  `SLACK` 
+  `ASANA` 
+  `JIRA` 
+  `M365` 
+  `M365AUDITLOGS` 
+  `ZOOM` 
+  `ZENDESK` 
+  `OKTA` 
+  `GOOGLE` 
+  `DROPBOX` 
+  `SMARTSHEET` 
+  `CISCO` 
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 255.  
Required: Yes

 ** [clientToken](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-clientToken"></a>
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a [UUID type of value](https://wikipedia.org/wiki/Universally_unique_identifier).  
If you don't provide this value, then AWS generates a random one for you.  
If you retry the operation with the same `ClientToken`, but with different parameters, the retry fails with an `IdempotentParameterMismatch` error.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [ingestionType](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-ingestionType"></a>
The ingestion type.  
Type: String  
Valid Values: `auditLog`   
Required: Yes

 ** [tags](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-tags"></a>
A map of the key-value pairs of the tag or tags to assign to the resource.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: No

 ** [tenantId](#API_CreateIngestion_RequestSyntax) **   <a name="appfabric-CreateIngestion-request-tenantId"></a>
The ID of the application tenant.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 1024.  
Required: Yes

## Response Syntax
<a name="API_CreateIngestion_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "ingestion": { 
      "app": "string",
      "appBundleArn": "string",
      "arn": "string",
      "createdAt": "string",
      "ingestionType": "string",
      "state": "string",
      "tenantId": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_CreateIngestion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [ingestion](#API_CreateIngestion_ResponseSyntax) **   <a name="appfabric-CreateIngestion-response-ingestion"></a>
Contains information about an ingestion.  
Type: [Ingestion](API_Ingestion.md) object

## Errors
<a name="API_CreateIngestion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** ConflictException **   
The request has created a conflict. Check the request parameters and try again.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 402

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_CreateIngestion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/CreateIngestion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/CreateIngestion) 

# CreateIngestionDestination
<a name="API_CreateIngestionDestination"></a>

Creates an ingestion destination, which specifies how an application's ingested data is processed by AWS AppFabric and where it's delivered.

## Request Syntax
<a name="API_CreateIngestionDestination_RequestSyntax"></a>

```
POST /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier/ingestiondestinations HTTP/1.1
Content-type: application/json

{
   "clientToken": "string",
   "destinationConfiguration": { ... },
   "processingConfiguration": { ... },
   "tags": [ 
      { 
         "key": "string",
         "value": "string"
      }
   ]
}
```

## URI Request Parameters
<a name="API_CreateIngestionDestination_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_CreateIngestionDestination_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [clientToken](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-clientToken"></a>
Specifies a unique, case-sensitive identifier that you provide to ensure the idempotency of the request. This lets you safely retry the request without accidentally performing the same operation a second time. Passing the same value to a later call to an operation requires that you also pass the same value for all other parameters. We recommend that you use a [UUID type of value](https://wikipedia.org/wiki/Universally_unique_identifier).  
If you don't provide this value, then AWS generates a random one for you.  
If you retry the operation with the same `ClientToken`, but with different parameters, the retry fails with an `IdempotentParameterMismatch` error.  
Type: String  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: No

 ** [destinationConfiguration](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-destinationConfiguration"></a>
Contains information about the destination of ingested data.  
Type: [DestinationConfiguration](API_DestinationConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [processingConfiguration](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-processingConfiguration"></a>
Contains information about how ingested data is processed.  
Type: [ProcessingConfiguration](API_ProcessingConfiguration.md) object  
 **Note: **This object is a Union. Only one member of this object can be specified or returned.  
Required: Yes

 ** [tags](#API_CreateIngestionDestination_RequestSyntax) **   <a name="appfabric-CreateIngestionDestination-request-tags"></a>
A map of the key-value pairs of the tag or tags to assign to the resource.  
Type: Array of [Tag](API_Tag.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 50 items.  
Required: No

## Response Syntax
<a name="API_CreateIngestionDestination_ResponseSyntax"></a>

```
HTTP/1.1 201
Content-type: application/json

{
   "ingestionDestination": { 
      "arn": "string",
      "createdAt": "string",
      "destinationConfiguration": { ... },
      "ingestionArn": "string",
      "processingConfiguration": { ... },
      "status": "string",
      "statusReason": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_CreateIngestionDestination_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

 ** [ingestionDestination](#API_CreateIngestionDestination_ResponseSyntax) **   <a name="appfabric-CreateIngestionDestination-response-ingestionDestination"></a>
Contains information about an ingestion destination.  
Type: [IngestionDestination](API_IngestionDestination.md) object

## Errors
<a name="API_CreateIngestionDestination_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** ConflictException **   
The request has created a conflict. Check the request parameters and try again.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ServiceQuotaExceededException **   
The request exceeds a service quota.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 402

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_CreateIngestionDestination_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/CreateIngestionDestination) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/CreateIngestionDestination) 

# DeleteAppAuthorization
<a name="API_DeleteAppAuthorization"></a>

Deletes an app authorization. You must delete the associated ingestion before you can delete an app authorization.

## Request Syntax
<a name="API_DeleteAppAuthorization_RequestSyntax"></a>

```
DELETE /appbundles/appBundleIdentifier/appauthorizations/appAuthorizationIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppAuthorization_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appAuthorizationIdentifier](#API_DeleteAppAuthorization_RequestSyntax) **   <a name="appfabric-DeleteAppAuthorization-request-uri-appAuthorizationIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app authorization to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [appBundleIdentifier](#API_DeleteAppAuthorization_RequestSyntax) **   <a name="appfabric-DeleteAppAuthorization-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_DeleteAppAuthorization_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppAuthorization_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppAuthorization_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppAuthorization_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeleteAppAuthorization_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/DeleteAppAuthorization) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/DeleteAppAuthorization) 

# DeleteAppBundle
<a name="API_DeleteAppBundle"></a>

Deletes an app bundle. You must delete all associated app authorizations before you can delete an app bundle.

## Request Syntax
<a name="API_DeleteAppBundle_RequestSyntax"></a>

```
DELETE /appbundles/appBundleIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteAppBundle_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_DeleteAppBundle_RequestSyntax) **   <a name="appfabric-DeleteAppBundle-request-uri-appBundleIdentifier"></a>
The ID or Amazon Resource Name (ARN) of the app bundle that needs to be deleted.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_DeleteAppBundle_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteAppBundle_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteAppBundle_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteAppBundle_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** ConflictException **   
The request has created a conflict. Check the request parameters and try again.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 409

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeleteAppBundle_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/DeleteAppBundle) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/DeleteAppBundle) 

# DeleteIngestion
<a name="API_DeleteIngestion"></a>

Deletes an ingestion. You must stop (disable) the ingestion and you must delete all associated ingestion destinations before you can delete an app ingestion.

## Request Syntax
<a name="API_DeleteIngestion_RequestSyntax"></a>

```
DELETE /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteIngestion_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_DeleteIngestion_RequestSyntax) **   <a name="appfabric-DeleteIngestion-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_DeleteIngestion_RequestSyntax) **   <a name="appfabric-DeleteIngestion-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_DeleteIngestion_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteIngestion_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteIngestion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteIngestion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeleteIngestion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/DeleteIngestion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/DeleteIngestion) 

# DeleteIngestionDestination
<a name="API_DeleteIngestionDestination"></a>

Deletes an ingestion destination.

This deletes the association between an ingestion and it's destination. It doesn't delete previously ingested data or the storage destination, such as the Amazon S3 bucket where the data is delivered. If the ingestion destination is deleted while the associated ingestion is enabled, the ingestion will fail and is eventually disabled.

## Request Syntax
<a name="API_DeleteIngestionDestination_RequestSyntax"></a>

```
DELETE /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier/ingestiondestinations/ingestionDestinationIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteIngestionDestination_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_DeleteIngestionDestination_RequestSyntax) **   <a name="appfabric-DeleteIngestionDestination-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionDestinationIdentifier](#API_DeleteIngestionDestination_RequestSyntax) **   <a name="appfabric-DeleteIngestionDestination-request-uri-ingestionDestinationIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion destination to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_DeleteIngestionDestination_RequestSyntax) **   <a name="appfabric-DeleteIngestionDestination-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_DeleteIngestionDestination_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteIngestionDestination_ResponseSyntax"></a>

```
HTTP/1.1 204
```

## Response Elements
<a name="API_DeleteIngestionDestination_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 204 response with an empty HTTP body.

## Errors
<a name="API_DeleteIngestionDestination_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DeleteIngestionDestination_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/DeleteIngestionDestination) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/DeleteIngestionDestination) 

# GetAppAuthorization
<a name="API_GetAppAuthorization"></a>

Returns information about an app authorization.

## Request Syntax
<a name="API_GetAppAuthorization_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/appauthorizations/appAuthorizationIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAppAuthorization_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appAuthorizationIdentifier](#API_GetAppAuthorization_RequestSyntax) **   <a name="appfabric-GetAppAuthorization-request-uri-appAuthorizationIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app authorization to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [appBundleIdentifier](#API_GetAppAuthorization_RequestSyntax) **   <a name="appfabric-GetAppAuthorization-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetAppAuthorization_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAppAuthorization_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "appAuthorization": { 
      "app": "string",
      "appAuthorizationArn": "string",
      "appBundleArn": "string",
      "authType": "string",
      "authUrl": "string",
      "createdAt": "string",
      "persona": "string",
      "status": "string",
      "tenant": { 
         "tenantDisplayName": "string",
         "tenantIdentifier": "string"
      },
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_GetAppAuthorization_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [appAuthorization](#API_GetAppAuthorization_ResponseSyntax) **   <a name="appfabric-GetAppAuthorization-response-appAuthorization"></a>
Contains information about an app authorization.  
Type: [AppAuthorization](API_AppAuthorization.md) object

## Errors
<a name="API_GetAppAuthorization_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_GetAppAuthorization_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/GetAppAuthorization) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/GetAppAuthorization) 

# GetAppBundle
<a name="API_GetAppBundle"></a>

Returns information about an app bundle.

## Request Syntax
<a name="API_GetAppBundle_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_GetAppBundle_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_GetAppBundle_RequestSyntax) **   <a name="appfabric-GetAppBundle-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetAppBundle_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetAppBundle_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "appBundle": { 
      "arn": "string",
      "customerManagedKeyArn": "string"
   }
}
```

## Response Elements
<a name="API_GetAppBundle_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [appBundle](#API_GetAppBundle_ResponseSyntax) **   <a name="appfabric-GetAppBundle-response-appBundle"></a>
Contains information about an app bundle.  
Type: [AppBundle](API_AppBundle.md) object

## Errors
<a name="API_GetAppBundle_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_GetAppBundle_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/GetAppBundle) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/GetAppBundle) 

# GetIngestion
<a name="API_GetIngestion"></a>

Returns information about an ingestion.

## Request Syntax
<a name="API_GetIngestion_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_GetIngestion_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_GetIngestion_RequestSyntax) **   <a name="appfabric-GetIngestion-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_GetIngestion_RequestSyntax) **   <a name="appfabric-GetIngestion-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetIngestion_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetIngestion_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ingestion": { 
      "app": "string",
      "appBundleArn": "string",
      "arn": "string",
      "createdAt": "string",
      "ingestionType": "string",
      "state": "string",
      "tenantId": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_GetIngestion_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ingestion](#API_GetIngestion_ResponseSyntax) **   <a name="appfabric-GetIngestion-response-ingestion"></a>
Contains information about an ingestion.  
Type: [Ingestion](API_Ingestion.md) object

## Errors
<a name="API_GetIngestion_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_GetIngestion_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/GetIngestion) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/GetIngestion) 

# GetIngestionDestination
<a name="API_GetIngestionDestination"></a>

Returns information about an ingestion destination.

## Request Syntax
<a name="API_GetIngestionDestination_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier/ingestiondestinations/ingestionDestinationIdentifier HTTP/1.1
```

## URI Request Parameters
<a name="API_GetIngestionDestination_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_GetIngestionDestination_RequestSyntax) **   <a name="appfabric-GetIngestionDestination-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionDestinationIdentifier](#API_GetIngestionDestination_RequestSyntax) **   <a name="appfabric-GetIngestionDestination-request-uri-ingestionDestinationIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion destination to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_GetIngestionDestination_RequestSyntax) **   <a name="appfabric-GetIngestionDestination-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Request Body
<a name="API_GetIngestionDestination_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetIngestionDestination_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ingestionDestination": { 
      "arn": "string",
      "createdAt": "string",
      "destinationConfiguration": { ... },
      "ingestionArn": "string",
      "processingConfiguration": { ... },
      "status": "string",
      "statusReason": "string",
      "updatedAt": "string"
   }
}
```

## Response Elements
<a name="API_GetIngestionDestination_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ingestionDestination](#API_GetIngestionDestination_ResponseSyntax) **   <a name="appfabric-GetIngestionDestination-response-ingestionDestination"></a>
Contains information about an ingestion destination.  
Type: [IngestionDestination](API_IngestionDestination.md) object

## Errors
<a name="API_GetIngestionDestination_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_GetIngestionDestination_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/GetIngestionDestination) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/GetIngestionDestination) 

# ListAppAuthorizations
<a name="API_ListAppAuthorizations"></a>

Returns a list of all app authorizations configured for an app bundle.

## Request Syntax
<a name="API_ListAppAuthorizations_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/appauthorizations?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppAuthorizations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_ListAppAuthorizations_RequestSyntax) **   <a name="appfabric-ListAppAuthorizations-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [maxResults](#API_ListAppAuthorizations_RequestSyntax) **   <a name="appfabric-ListAppAuthorizations-request-uri-maxResults"></a>
The maximum number of results that are returned per call. You can use `nextToken` to obtain further pages of results.  
This is only an upper limit. The actual number of results returned per call might be fewer than the specified maximum.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListAppAuthorizations_RequestSyntax) **   <a name="appfabric-ListAppAuthorizations-request-uri-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_ListAppAuthorizations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppAuthorizations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "appAuthorizationSummaryList": [ 
      { 
         "app": "string",
         "appAuthorizationArn": "string",
         "appBundleArn": "string",
         "status": "string",
         "tenant": { 
            "tenantDisplayName": "string",
            "tenantIdentifier": "string"
         },
         "updatedAt": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListAppAuthorizations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [appAuthorizationSummaryList](#API_ListAppAuthorizations_ResponseSyntax) **   <a name="appfabric-ListAppAuthorizations-response-appAuthorizationSummaryList"></a>
Contains a list of app authorization summaries.  
Type: Array of [AppAuthorizationSummary](API_AppAuthorizationSummary.md) objects

 ** [nextToken](#API_ListAppAuthorizations_ResponseSyntax) **   <a name="appfabric-ListAppAuthorizations-response-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors
<a name="API_ListAppAuthorizations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListAppAuthorizations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/ListAppAuthorizations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/ListAppAuthorizations) 

# ListAppBundles
<a name="API_ListAppBundles"></a>

Returns a list of app bundles.

## Request Syntax
<a name="API_ListAppBundles_RequestSyntax"></a>

```
GET /appbundles?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListAppBundles_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListAppBundles_RequestSyntax) **   <a name="appfabric-ListAppBundles-request-uri-maxResults"></a>
The maximum number of results that are returned per call. You can use `nextToken` to obtain further pages of results.  
This is only an upper limit. The actual number of results returned per call might be fewer than the specified maximum.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListAppBundles_RequestSyntax) **   <a name="appfabric-ListAppBundles-request-uri-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Request Body
<a name="API_ListAppBundles_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListAppBundles_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "appBundleSummaryList": [ 
      { 
         "arn": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListAppBundles_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [appBundleSummaryList](#API_ListAppBundles_ResponseSyntax) **   <a name="appfabric-ListAppBundles-response-appBundleSummaryList"></a>
Contains a list of app bundle summaries.  
Type: Array of [AppBundleSummary](API_AppBundleSummary.md) objects

 ** [nextToken](#API_ListAppBundles_ResponseSyntax) **   <a name="appfabric-ListAppBundles-response-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.

## Errors
<a name="API_ListAppBundles_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListAppBundles_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/ListAppBundles) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/ListAppBundles) 

# ListIngestionDestinations
<a name="API_ListIngestionDestinations"></a>

Returns a list of all ingestion destinations configured for an ingestion.

## Request Syntax
<a name="API_ListIngestionDestinations_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/ingestions/ingestionIdentifier/ingestiondestinations?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListIngestionDestinations_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_ListIngestionDestinations_RequestSyntax) **   <a name="appfabric-ListIngestionDestinations-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [ingestionIdentifier](#API_ListIngestionDestinations_RequestSyntax) **   <a name="appfabric-ListIngestionDestinations-request-uri-ingestionIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the ingestion to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [maxResults](#API_ListIngestionDestinations_RequestSyntax) **   <a name="appfabric-ListIngestionDestinations-request-uri-maxResults"></a>
The maximum number of results that are returned per call. You can use `nextToken` to obtain further pages of results.  
This is only an upper limit. The actual number of results returned per call might be fewer than the specified maximum.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListIngestionDestinations_RequestSyntax) **   <a name="appfabric-ListIngestionDestinations-request-uri-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.

## Request Body
<a name="API_ListIngestionDestinations_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListIngestionDestinations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ingestionDestinations": [ 
      { 
         "arn": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListIngestionDestinations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ingestionDestinations](#API_ListIngestionDestinations_ResponseSyntax) **   <a name="appfabric-ListIngestionDestinations-response-ingestionDestinations"></a>
Contains a list of ingestion destination summaries.  
Type: Array of [IngestionDestinationSummary](API_IngestionDestinationSummary.md) objects

 ** [nextToken](#API_ListIngestionDestinations_ResponseSyntax) **   <a name="appfabric-ListIngestionDestinations-response-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.  
Type: String

## Errors
<a name="API_ListIngestionDestinations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You are not authorized to perform this operation.  
HTTP Status Code: 403

 ** InternalServerException **   
The request processing has failed because of an unknown error, exception, or failure with an internal server.    
 ** retryAfterSeconds **   
The period of time after which you should retry your request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource does not exist.    
 ** resourceId **   
The resource ID.  
 ** resourceType **   
The resource type.
HTTP Status Code: 404

 ** ThrottlingException **   
The request rate exceeds the limit.    
 ** quotaCode **   
The code for the quota exceeded.  
 ** retryAfterSeconds **   
The period of time after which you should retry your request.  
 ** serviceCode **   
The code of the service.
HTTP Status Code: 429

 ** ValidationException **   
The request has invalid or missing parameters.    
 ** fieldList **   
The field list.  
 ** reason **   
The reason for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListIngestionDestinations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/appfabric-2023-05-19/ListIngestionDestinations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/appfabric-2023-05-19/ListIngestionDestinations) 

# ListIngestions
<a name="API_ListIngestions"></a>

Returns a list of all ingestions configured for an app bundle.

## Request Syntax
<a name="API_ListIngestions_RequestSyntax"></a>

```
GET /appbundles/appBundleIdentifier/ingestions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_ListIngestions_RequestParameters"></a>

The request uses the following URI parameters.

 ** [appBundleIdentifier](#API_ListIngestions_RequestSyntax) **   <a name="appfabric-ListIngestions-request-uri-appBundleIdentifier"></a>
The Amazon Resource Name (ARN) or Universal Unique Identifier (UUID) of the app bundle to use for the request.  
Length Constraints: Minimum length of 1. Maximum length of 1011.  
Pattern: `arn:.+$|^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

 ** [maxResults](#API_ListIngestions_RequestSyntax) **   <a name="appfabric-ListIngestions-request-uri-maxResults"></a>
The maximum number of results that are returned per call. You can use `nextToken` to obtain further pages of results.  
This is only an upper limit. The actual number of results returned per call might be fewer than the specified maximum.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListIngestions_RequestSyntax) **   <a name="appfabric-ListIngestions-request-uri-nextToken"></a>
If `nextToken` is returned, there are more results available. The value of `nextToken` is a unique pagination token for each page. Make the call again using the returned token to retrieve the next page. Keep all other arguments unchanged. Each pagination token expires after 24 hours. Using an expired pagination token will return an *HTTP 400 InvalidToken error*.

## Request Body
<a name="API_ListIngestions_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListIngestions_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "ingestions": [ 
      { 
         "app": "string",
         "arn": "string",
         "state": "string",
         "tenantId": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListIngestions_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [ingestions](#API_ListIngestions_ResponseSyntax) **   <a name="appfabric-ListIngestions-response-ingestions"></a>
Contains a list of ingestion summaries.  
Type: Array of [IngestionSummary](API_IngestionSummary.md) objects

[...]
